---
title: "FreeBSD/i386 4.8-RELEASE Release Notes"
sidenav: download
---

++++


        <h3 class="CORPAUTHOR">The FreeBSD Project</h3>

        <p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002,
        2003 by The FreeBSD Documentation Project</p>

        <p class="PUBDATE">$FreeBSD:
        src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
        1.22.2.346 2003/03/22 00:12:50 bmah Exp $<br />
        </p>

        <div>
          <div class="ABSTRACT">
            <a id="AEN12" name="AEN12"></a>

            <p>The release notes for FreeBSD 4.8-RELEASE contain a
            summary of the changes made to the FreeBSD base system
            since 4.7-RELEASE. Both changes for kernel and userland
            are listed, as well as applicable security advisories
            for the base system that were issued since the last
            release. Some brief remarks on upgrading are also
            presented.</p>
          </div>
        </div>
        <hr />
      </div>

      <div class="TOC">
        <dl>
          <dt><b>Table of Contents</b></dt>

          <dt>1 <a href="#AEN14">Introduction</a></dt>

          <dt>2 <a href="#AEN22">What's New</a></dt>

          <dd>
            <dl>
              <dt>2.1 <a href="#KERNEL">Kernel Changes</a></dt>

              <dd>
                <dl>
                  <dt>2.1.1 <a href="#AEN50">Processor/Motherboard
                  Support</a></dt>

                  <dt>2.1.2 <a href="#AEN60">Boot Loaders</a></dt>

                  <dt>2.1.3 <a href="#AEN63">Network Interface
                  Support</a></dt>

                  <dt>2.1.4 <a href="#AEN73">Network
                  Protocols</a></dt>

                  <dt>2.1.5 <a href="#AEN97">Disks and
                  Storage</a></dt>

                  <dt>2.1.6 <a href="#AEN129">Filesystems</a></dt>

                  <dt>2.1.7 <a href="#AEN132">PCCARD
                  Support</a></dt>

                  <dt>2.1.8 <a href="#AEN135">Multimedia
                  Support</a></dt>

                  <dt>2.1.9 <a href="#AEN138">Contributed
                  Software</a></dt>
                </dl>
              </dd>

              <dt>2.2 <a href="#SECURITY">Security
              Advisories</a></dt>

              <dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

              <dd>
                <dl>
                  <dt>2.3.1 <a href="#AEN298">Contributed
                  Software</a></dt>

                  <dt>2.3.2 <a href="#AEN330">Ports/Packages
                  Collection</a></dt>
                </dl>
              </dd>

              <dt>2.4 <a href="#AEN335">Release Engineering and
              Integration</a></dt>
            </dl>
          </dd>

          <dt>3 <a href="#AEN343">Upgrading from previous releases
          of FreeBSD</a></dt>
        </dl>
      </div>

      <div class="SECT1">
        <hr />

        <h1 class="SECT1"><a id="AEN14" name="AEN14">1
        Introduction</a></h1>

        <p>This document contains the release notes for FreeBSD
        4.8-RELEASE on the i386 hardware platform. It describes new
        features of FreeBSD that have been added (or changed) since
        4.7-RELEASE. It also provides some notes on upgrading from
        previous versions of FreeBSD.</p>

        <p>This distribution of FreeBSD 4.8-RELEASE is a release
        distribution. It can be found at <a
        href="ftp://ftp.FreeBSD.org/"
        target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
        mirrors. More information on obtaining this (or other)
        release distributions of FreeBSD can be found in the <a
        href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
         target="_top">``Obtaining FreeBSD''</a> appendix in the <a
        href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/"
         target="_top">FreeBSD Handbook</a>.</p>
      </div>

      <div class="SECT1">
        <hr />

        <h1 class="SECT1"><a id="AEN22" name="AEN22">2 What's
        New</a></h1>

        <p>This section describes the most user-visible new or
        changed features in FreeBSD since 4.7-RELEASE. Typical
        release note items document new drivers or hardware
        support, new commands or options, major bugfixes, or
        contributed software upgrades. Security advisories for the
        base system that were issued after 4.7-RELEASE are also
        listed.</p>

        <div class="SECT2">
          <hr />

          <h2 class="SECT2"><a id="KERNEL" name="KERNEL">2.1 Kernel
          Changes</a></h2>

          <p>A new in-kernel cryptographic framework (see <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">crypto</span>(4)</span></a> and <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=9&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">crypto</span>(9)</span></a>) has
          been imported from OpenBSD. It provides a consistent
          interface to hardware and software implementations of
          cryptographic algorithms for use by the kernel and access
          to cryptographic hardware for user-mode applications.
          Hardware device drivers are provided to support
          hifn-based cards (<a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=hifn&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">hifn</span>(4)</span></a>) and
          Broadcom-based cards (<a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ubsec&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ubsec</span>(4)</span></a>).</p>

          <p>Initial support has been added for FireWire devices
          (see <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=firewire&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">firewire</span>(4)</span></a>).</p>

          <p>Support for the CanBe power management controller has
          been added.</p>

          <p>The ubsa driver has been added to support the Belkin
          F5U103 (and compatible) USB-to-serial adaptors.</p>

          <p>The <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=uftdi&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">uftdi</span>(4)</span></a> driver,
          to support FTDI USB-to-serial devices, has been
          added.</p>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN50" name="AEN50">2.1.1
            Processor/Motherboard Support</a></h3>

            <p>FreeBSD now has rudimentary support for
            HyperThreading (HTT). SMP kernels with the <tt
            class="LITERAL">HTT</tt> kernel option will detect and
            start up the logical processors on HTT-capable
            machines. The logical processors will be treated like
            additional physical processors for the purposes of
            process scheduling.</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN60" name="AEN60">2.1.2 Boot
            Loaders</a></h3>

            <p>The PC98 bootloader now has support for booting from
            SCSI MO media.</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN63" name="AEN63">2.1.3
            Network Interface Support</a></h3>

            <p>The cm driver now supports IPX.</p>

            <p>The <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=nge&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">nge</span>(4)</span></a> driver
            now supports network device <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">polling</span>(4)</span></a>.</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN73" name="AEN73">2.1.4
            Network Protocols</a></h3>

            <p>A <tt class="LITERAL">FAST_IPSEC</tt> kernel option
            now allows the IPsec implementation to use the kernel
            <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">crypto</span>(4)</span></a>
            framework, along with its support for hardware
            cryptographic acceleration. More information can be
            found in the <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=fast_ipsec&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">fast_ipsec</span>(4)</span></a>
            manual page.</p>

            <div class="NOTE">
              <blockquote class="NOTE">
                <p><b>Note:</b> The <tt
                class="LITERAL">FAST_IPSEC</tt> and <tt
                class="LITERAL">IPSEC</tt> options are mutually
                exclusive.</p>
              </blockquote>
            </div>

            <div class="NOTE">
              <blockquote class="NOTE">
                <p><b>Note:</b> The <tt
                class="LITERAL">FAST_IPSEC</tt> option is, at the
                moment, not compatible with IPv6 or the <tt
                class="LITERAL">INET6</tt> option.</p>
              </blockquote>
            </div>
            <br />
            <br />

            <p>A <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=gre&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">gre</span>(4)</span></a> driver,
            which can encapsulate IP packets using GRE (RFC 1701)
            or minimal IP encapsulation for Mobile IP (RFC 2004),
            has been added.</p>

            <p>A bug in TCP NewReno, which caused premature exit
            from fast recovery with NewReno enabled, has been
            fixed.</p>

            <p>The IP fragment reassembly code behaves more
            gracefully when receiving a large number of packet
            fragments (it is designed to be more resistant to
            fragment-based denial of service attacks).</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN97" name="AEN97">2.1.5
            Disks and Storage</a></h3>

            <p>The <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=ata&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">ata</span>(4)</span></a> driver
            now supports accessing ATA devices as SCSI devices via
            the CAM layer and drivers (<a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=cd&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">cd</span>(4)</span></a>, <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=da&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">da</span>(4)</span></a>, <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=st&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">st</span>(4)</span></a>, and <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=pass&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">pass</span>(4)</span></a>). This
            feature requires <tt class="LITERAL">device
            atapicam</tt> in the kernel configuration. More
            information can be found in <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=atapicam&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">atapicam</span>(4)</span></a>.</p>

            <p>The <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=matcd&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">matcd</span>(4)</span></a> driver
            has been removed due to concerns over its licensing
            terms. These issues are being addressed and this driver
            may reappear in a future release of FreeBSD. (This
            removal actually occurred in 4.7-RELEASE, but was not
            mentioned in the release notes.)</p>

            <p>The <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=targ&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">targ</span>(4)</span></a> driver
            has been rewritten and a new usermode has been added to
            <tt
            class="FILENAME">/usr/share/examples/scsi_target</tt>
            that emulates a direct access device.</p>

            <p>The trm driver has been added to support SCSI
            adapters using the Tekram TRM-S1040 SCSI chipset.</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN129" name="AEN129">2.1.6
            Filesystems</a></h3>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN132" name="AEN132">2.1.7
            PCCARD Support</a></h3>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN135" name="AEN135">2.1.8
            Multimedia Support</a></h3>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN138" name="AEN138">2.1.9
            Contributed Software</a></h3>

            <p><b class="APPLICATION">IPFilter</b> has been updated
            to 3.4.31.</p>
          </div>
        </div>

        <div class="SECT2">
          <hr />

          <h2 class="SECT2"><a id="SECURITY" name="SECURITY">2.2
          Security Advisories</a></h2>

          <p>Buffer overflows in kadmind(8) and k5admin have been
          corrected. More details can be found in security advisory
          <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:40.kadmind.asc"
           target="_top">FreeBSD-SA-02:40</a>.</p>

          <p>Multiple vulnerabilities in <b
          class="APPLICATION">BIND</b> have been fixed, as
          described in <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:43.bind.asc"
           target="_top">FreeBSD-SA-02:43</a>.</p>

          <p>A file descriptor leak in the <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=fpathconf&sektion=2&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">fpathconf</span>(2)</span></a>
          system call, which could allow a local user to crash the
          system or cause a privilege escalation, has been fixed.
          More details can be found in security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:44.filedesc.asc"
           target="_top">FreeBSD-SA-02:44</a>.</p>

          <p>A remotely exploitable vulnerability in <b
          class="APPLICATION">CVS</b> has been corrected with the
          import of version 1.11.5. More details can be found in
          security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:01.cvs.asc"
           target="_top">FreeBSD-SA-03:01</a>.</p>

          <p>A timing-based attack on <b
          class="APPLICATION">OpenSSL</b>, which could allow a very
          powerful attacker access to plaintext under certain
          circumstances, has been prevented via an upgrade to <b
          class="APPLICATION">OpenSSL</b> 0.9.7. See security
          advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:02.openssl.asc"
           target="_top">FreeBSD-SA-03:02</a> for more details.</p>

          <p>The security and performance of the ``syncookies''
          feature has been improved to decrease the chance of an
          attacker being able to spoof connections. More details
          are given in security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:03.syncookies.asc"
           target="_top">FreeBSD-SA-03:03</a>.</p>

          <p>A remotely-exploitable buffer overflow vulnerability
          in <b class="APPLICATION">sendmail</b> has been fixed by
          updating <b class="APPLICATION">sendmail</b> to version
          8.12.8. For more details, see security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:04.sendmail.asc"
           target="_top">FreeBSD-SA-03:04</a>.</p>

          <p>A bounds-checking bug in the XDR implementation, which
          could allow a remote attacker to cause a
          denial-of-service, has been fixed. For more details see
          security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:05.xdr.asc"
           target="_top">FreeBSD-SA-03:05</a>.</p>

          <p>Two recently-publicized flaws in <b
          class="APPLICATION">OpenSSL</b> have been corrected. For
          more details, see security advisory <a
          href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:06.openssl.asc"
           target="_top">FreeBSD-SA-03:06</a>.</p>
        </div>

        <div class="SECT2">
          <hr />

          <h2 class="SECT2"><a id="USERLAND" name="USERLAND">2.3
          Userland Changes</a></h2>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=burncd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">burncd</span>(8)</span></a> now
          accepts a value of <tt class="LITERAL">max</tt> for its
          <tt class="OPTION">-s</tt> option to set the drive's
          maximum write speed.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=cdcontrol&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">cdcontrol</span>(1)</span></a> now
          supports a <tt class="LITERAL">speed</tt> command to set
          the maximum speed to be used by the drive (the maximum
          possible speed can be selected setting the speed to <tt
          class="LITERAL">max</tt>).</p>

          <p>The <tt class="FILENAME">compat4x</tt> distribution
          now includes the <tt class="FILENAME">libcrypto.so.2</tt>
          and <tt class="FILENAME">libssl.so.2</tt> libraries from
          FreeBSD 4.7-RELEASE.</p>

          <p>The <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=fwcontrol&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">fwcontrol</span>(8)</span></a>
          utility has been added to help users access and control
          the FireWire subsystem.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpd</span>(8)</span></a> now
          supports a <tt class="OPTION">-h</tt> option to disable
          printing any host-specific information, such as the <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpd</span>(8)</span></a> version
          or hostname, in server messages.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpd</span>(8)</span></a> now
          supports a <tt class="OPTION">-P</tt> option to specify a
          port on which to listen in daemon mode. The default data
          port number is now set to be one less than the control
          port number, rather than being hard-coded.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpd</span>(8)</span></a> now
          supports an extended format of the <tt
          class="FILENAME">/etc/ftpchroot</tt> file. Please refer
          to the <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpchroot&sektion=5&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpchroot</span>(5)</span></a>
          manpage, which is now available, for details.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpd</span>(8)</span></a> now
          supports login directory pathnames that specify
          simultaneously a directory for <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=chroot&sektion=2&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">chroot</span>(2)</span></a> and
          that to change to in the chrooted environment. The <tt
          class="LITERAL">/./</tt> separator is used for this
          purpose, like in other FTP daemons having this feature.
          It may be used in both <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpchroot&sektion=5&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ftpchroot</span>(5)</span></a> and
          <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=passwd&sektion=5&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">passwd</span>(5)</span></a>.</p>

          <p>The <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=getconf&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">getconf</span>(1)</span></a>
          utility has been added. It prints the values of POSIX or
          X/Open path or system configuration variables.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ipfw</span>(8)</span></a> now
          supports <tt class="LITERAL">enable</tt> and <tt
          class="LITERAL">disable</tt> commands to control various
          aspects of the operation of <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&sektion=4&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">ipfw</span>(4)</span></a>
          (including enabling and disabling the firewall itself).
          These provide a more convenient and visible interface
          than the existing sysctl variables.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=make&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">make</span>(1)</span></a> now
          supports a <tt class="OPTION">-C</tt> flag to change to a
          given directory before building its target(s).</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=mount_nfs&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">mount_nfs</span>(8)</span></a> now
          supports a <tt class="OPTION">-c</tt> to avoid doing a <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=connect&sektion=2&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">connect</span>(2)</span></a> for
          UDP mount points. This option must be used if the server
          does not reply to requests from the standard NFS port
          number 2049 or if it replies to requests using a
          different IP address (which can occur if the server is
          multi-homed). Setting the <tt
          class="VARNAME">vfs.nfs.nfs_ip_paranoia</tt> sysctl to
          <tt class="LITERAL">0</tt> will make this option the
          default.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">newsyslog</span>(8)</span></a> now
          supports a <tt class="LITERAL">W</tt> flag to force
          previously-started compression jobs for an entry (or
          group of entries specified with the <tt
          class="LITERAL">G</tt> flag) to finish before beginning a
          new one. This feature is designed to prevent system
          overloads caused by starting several compression jobs on
          big files simultaneously.</p>

          <p>The <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=pathchk&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">pathchk</span>(1)</span></a>
          utility, which checks pathnames for validity or
          portability between POSIX systems, has been added.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">pw</span>(8)</span></a> can now add
          a user whose name ends with a <tt class="LITERAL">$</tt>
          character; this change is intended to help administration
          of <b class="APPLICATION">Samba</b> services.</p>

          <p><a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=rarpd&sektion=8&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">rarpd</span>(8)</span></a> now
          accepts a <tt class="OPTION">-t</tt> flag to specify an
          alternative directory to <tt
          class="FILENAME">/tftpboot</tt>.</p>

          <p>The base64 capabilities of <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=uuencode&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">uuencode</span>(1)</span></a> and
          <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=uudecode&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">uudecode</span>(1)</span></a> can
          now be automatically enabled by invoking these utilities
          as <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=b64encode&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">b64encode</span>(1)</span></a> and
          <a
          href="http://www.FreeBSD.org/cgi/man.cgi?query=b64decode&sektion=1&manpath=FreeBSD+4.8-RELEASE">
          <span class="CITEREFENTRY"><span
          class="REFENTRYTITLE">b64decode</span>(1)</span></a>
          respectively.</p>

          <p>The definitions of the standard file streams (<tt
          class="VARNAME">stdin</tt>, <tt
          class="VARNAME">stdout</tt>, and <tt
          class="VARNAME">stderr</tt>) have changed so that they
          are no longer compile-time constants. Some older binaries
          may require updated 3.X compatability libraries (for
          example, by setting <tt class="LITERAL">COMPAT3X=yes</tt>
          for a buildworld/installworld).</p>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN298" name="AEN298">2.3.1
            Contributed Software</a></h3>

            <p><b class="APPLICATION">BIND</b> has been updated to
            version 8.3.4.</p>

            <p>All of the <b class="APPLICATION">bzip2</b> suite of
            applications is now installed in the base system (in
            particular, <tt class="COMMAND">bzip2recover</tt> is
            now built and installed).</p>

            <p><b class="APPLICATION">CVS</b> has been updated to
            1.11.5.</p>

            <p><b class="APPLICATION">FILE</b> has been updated to
            3.41.</p>

            <p><b class="APPLICATION">groff</b> and its related
            utilities have been updated to FSF version 1.18.1.</p>

            <p><b class="APPLICATION">Heimdal Kerberos</b> has been
            updated to 0.5.1.</p>

            <p>The <b class="APPLICATION">ISC DHCP</b> client has
            been updated to 3.0.1RC11.</p>

            <p><b class="APPLICATION">libz</b> has been updated to
            1.1.4.</p>

            <p><b class="APPLICATION">OpenSSH</b> has been updated
            to 3.5p1.</p>

            <p><b class="APPLICATION">OpenSSL</b> has been updated
            to release 0.9.7a. Among other features, this release
            includes support for AES and takes advantage of <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&sektion=4&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">crypto</span>(4)</span></a>
            devices.</p>

            <p><b class="APPLICATION">sendmail</b> has been updated
            to version 8.12.8.</p>

            <p><b class="APPLICATION">tcpdump</b> has been updated
            to version 3.7.2.</p>

            <p>The timezone database has been updated to the <tt
            class="FILENAME">tzdata2002d</tt> release.</p>
          </div>

          <div class="SECT3">
            <hr />

            <h3 class="SECT3"><a id="AEN330" name="AEN330">2.3.2
            Ports/Packages Collection</a></h3>

            <p>The one-line <tt class="FILENAME">pkg-comment</tt>
            files have been eliminated from each port skeleton;
            their contents have been moved into each port's <tt
            class="FILENAME">Makefile</tt>. This change reduces the
            disk space and inodes used by the ports tree.</p>
          </div>
        </div>

        <div class="SECT2">
          <hr />

          <h2 class="SECT2"><a id="AEN335" name="AEN335">2.4
          Release Engineering and Integration</a></h2>

          <p>The supported release of <b
          class="APPLICATION">GNOME</b> has been updated to
          2.2.</p>

          <p>The supported release of <b
          class="APPLICATION">KDE</b> has been updated to 3.1.</p>

          <p>The supported release of <b
          class="APPLICATION">XFree86</b> has been updated to
          4.3.0.</p>
        </div>
      </div>

      <div class="SECT1">
        <hr />

        <h1 class="SECT1"><a id="AEN343" name="AEN343">3 Upgrading
        from previous releases of FreeBSD</a></h1>

        <p>If you're upgrading from a previous release of FreeBSD,
        you generally will have three options:</p>

        <ul>
          <li>
            <p>Using the binary upgrade option of <a
            href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+4.8-RELEASE">
            <span class="CITEREFENTRY"><span
            class="REFENTRYTITLE">sysinstall</span>(8)</span></a>.
            This option is perhaps the quickest, although it
            presumes that your installation of FreeBSD uses no
            special compilation options.</p>
          </li>

          <li>
            <p>Performing a complete reinstall of FreeBSD.
            Technically, this is not an upgrading method, and in
            any case is usually less convenient than a binary
            upgrade, in that it requires you to manually backup and
            restore the contents of <tt class="FILENAME">/etc</tt>.
            However, it may be useful in cases where you want (or
            need) to change the partitioning of your disks.</p>
          </li>

          <li>
            <p>From source code in <tt
            class="FILENAME">/usr/src</tt>. This route is more
            flexible, but requires more disk space, time, and
            technical expertise. More information can be found in
            the <a
            href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html"
             target="_top">``Using <tt class="COMMAND">make
            world</tt>''</a> section of the <a
            href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/"
             target="_top">FreeBSD Handbook</a>. Upgrading from
            very old versions of FreeBSD may be problematic; in
            cases like this, it is usually more effective to
            perform a binary upgrade or a complete reinstall.</p>
          </li>
        </ul>
        <br />
        <br />

        <p>Please read the <tt class="FILENAME">INSTALL.TXT</tt>
        file for more information, preferably <span
        class="emphasis"><i class="EMPHASIS">before</i></span>
        beginning an upgrade. If you are upgrading from source,
        please be sure to read <tt
        class="FILENAME">/usr/src/UPDATING</tt> as well.</p>

        <p>Finally, if you want to use one of various means to
        track the -STABLE or -CURRENT branches of FreeBSD, please
        be sure to consult the <a
        href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/current-stable.html"
         target="_top">``-CURRENT vs. -STABLE''</a> section of the
        <a
        href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/"
         target="_top">FreeBSD Handbook</a>.</p>

        <div class="IMPORTANT">
          <blockquote class="IMPORTANT">
            <p><b>Important:</b> Upgrading FreeBSD should, of
            course, only be attempted after backing up <span
            class="emphasis"><i class="EMPHASIS">all</i></span>
            data and configuration files.</p>
          </blockquote>
        </div>
      </div>
    </div>
    <hr />

    <p align="center"><small>This file, and other release-related
    documents, can be downloaded from <a
    href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

    <p align="center"><small>For questions about FreeBSD, read the
    <a href="http://www.FreeBSD.org/docs.html">documentation</a>
    before contacting &#60;<a
    href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

    <p align="center"><small><small>All users of FreeBSD 4-STABLE
    should subscribe to the &#60;<a
    href="mailto:stable@FreeBSD.org">stable@FreeBSD.org</a>&#62;
    mailing list.</small></small></p>

    <p align="center">For questions about this documentation,
    e-mail &#60;<a
    href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</p>
    <br />
    <br />
++++


